---
title: "Cancel order archive"
description: "Opens a closed order."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/order-archive/cancel-order-archive'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/order-archive/cancel-order-archive.md'
---
# Cancel order archive

Opens a closed order.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
PUT /orders/:id/cancel_hide_mark.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_orders`

## Request

### Path Parameters

* `id`

  string (required)

  Order number

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `order`

  object

  For order information, field descriptions and examples, please refer to the response result of the order list

  * `line_items`

    array<object>

    Order product snapshot information

    * `quantity`

      integer

      Quantity of items in the order

    * `location_id`

      string

      The location corresponding to the store in the pos scene

    * `fulfillment_status`

      string

      The shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;

    * `taxable`

      boolean

      Tax or not？

    * `price`

      string

      Commodity price, precision 2

    * `discount_allocations`

      array<object>

      Marketing discount detail amount multi-currency

      * `amount_set`

        object

        Discount Details Amount Multi-Currency

      * `discount_application_index`

        integer

        Indicate the location in the discount details

      * `amount`

        string

        Discount detail amount

    * `variant_title`

      string

      Commodity attribute value, multiple divided by " / ", such as: "155 / red / large"

    * `product_id`

      string

      SPU serial number

    * `fulfillable_quantity`

      integer

      Available quantity

    * `properties`

      array<object>

      Product customization information

      * `name`

        string

        Custom attribute name

      * `type`

        string

        Attribute type, text-character, the display format is name: value; picture-picture, the display type is name: get the rendered thumbnail through URLs; link-hyperlink, the display type is name: value, supports clicking on the link to jump to urls First

      * `urls`

        array<string>

        URL resource list

      * `value`

        string

        Custom attribute values

      * `additional`

        string

        Additional Fields for Custom Items

    * `tax_lines`

      array<object>

      Tax information

      * `title`

        string

        Tax name

      * `type`

        string

        Tax fee type, used to distinguish whether it is commodity tax or freight tax, the enumerated values ​​are as follows product_tax: commodity tax shipping_tax: freight tax

      * `price`

        string

        Tax, precision 2

      * `price_set`

        object

        Multi-currency information of tax

      * `rate`

        double

        Tax rate

    * `fulfillment_service`

      string

      Logistics company name

    * `requires_shipping`

      boolean

      Shipping or not

    * `grams`

      double

      Weight ( grams )

    * `sku`

      string

      Product code, barCode

    * `tags`

      string

      Commodity tags (separated by multiple commas)

    * `vendor`

      string

      Supplier

    * `title`

      string

      Product title

    * `attribute`

      string

      Product attributes : name-attribute value multiple comma " , " division like : color-red , size-x

    * `variant_id`

      string

      Product SKU serial number

    * `id`

      string

      The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number

    * `name`

      string

      SKU title, same as title

  * `total_weight`

    double

    Total product weight ( g )

  * `client_details`

    object

    Client Details

    * `user_agent`

      string

      Client Proxy

    * `browser_ip`

      string

      Client ip address

    * `session_hash`

      string

      Member session encryption information

  * `cancelled_at`

    string

    Order cancellation time (end) (see IOS8601 for the format), 2012-05-01T14:22:25-04:00

  * `current_total_price`

    string

    Total tax, product tax + shipping tax

  * `app_id`

    string

    App ID

  * `order_status_url`

    string

    Order status page URL

  * `discount_applications`

    array<object>

    Discount information

    * `allocation_method`

      string

      1 ) across ( the value is distributed in all authorized lines ) 2 ) the ach ( the value is applied to each authorized line )

    * `value`

      string

      The specific value of the discount ( it can be n-fold , or it can be the specific amount value )

    * `code`

      string

      Discount code

    * `title`

      string

      automatic discount title

    * `type`

      string

      Discount type

    * `description`

      string

      Description of custom discount

    * `target_type`

      string

      1）line_item、shipping_line

    * `target_selection`

      string

      1 ) explicit ( discount distribution to clear selection ) 2 ) all ( discount distribution to all lines ) 3 ) ENTITLED ( discount distribution only to the line that its right to use )

    * `value_type`

      string

      % discount , amount discount

  * `shipping_address`

    object

    Shipping address

    * `address2`

      string

      Detailed address 2, optional

    * `name`

      string

      Full name

    * `country_code`

      string

      Country code

    * `last_name`

      string

      First name

    * `phone`

      string

      Phone

    * `province`

      string

      Province

    * `address1`

      string

      Address 1

    * `company`

      string

      Company name

    * `latitude`

      string

      Latitude

    * `zip`

      string

      Postal code

    * `country`

      string

      Country

    * `first_name`

      string

      Last name

    * `city`

      string

      City

    * `longitude`

      string

      Longitude

    * `province_code`

      string

      Province code

  * `tax_number`

    string

    TIN

  * `total_tax`

    string

    Sum of taxes, precision 2, commodity tax + shipping tax

  * `note_attributes`

    array<object>

    Merchant note log, date content

    * `create_time`

      string

      Remark creation time (see IOS8601 for the format)

    * `name`

      string

      Remark source (seller ID)

    * `value`

      string

      Notes

  * `current_subtotal_price`

    string

    Sum of current products, total price of products * quantity

  * `total_line_items_price`

    string

    Sum of original prices of goods, precision 2

  * `total_shipping_price_set`

    object

    Order shipping sum, multi-currency information

    * `presentment_money`

      object

      Buyer side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

    * `shop_money`

      object

      Sell side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

  * `subtotal_price_set`

    object

    Multi-currency information of total product price after discount

    * `shop_money`

      object

      Sell side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

    * `presentment_money`

      object

      Buyer side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

  * `note`

    string

    Merchant notes

  * `subtotal_price`

    string

    Total product price after discount, total product price - marketing discount - artificial discount

  * `current_total_price_set`

    object

    Multi-currency information of the sum of taxes, the currency and amount of buyers and sellers are the same

    * `presentment_money`

      object

      Buy side currency

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

    * `shop_money`

      object

      Sell side currency

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

  * `processed_user_id`

    string

    order creator

  * `total_tip_received`

    string

    Tip, precision 2

  * `current_total_discounts_set`

    object

    Multi-currency information of the total discount, there is no multi-currency, so the buyer’s and seller’s currency and amount are the same; { currentTotalDiscountsSet "shopMoney": { "amount": "100", "currency_code": "CNY" }, "presentmentMoney": { "amount": "100", "currency_code": "CNY" } }

    * `presentment_money`

      object

      Currency information

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency information

    * `shop_money`

      object

      Sell side amount

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

  * `total_outstanding`

    string

    Sum of unpaid amount, precision 2

  * `email`

    string

    Buyer's mailbox, there must be one of the two

  * `fulfillments`

    array<object>

    Package information

    * `line_items`

      array<object>

      Product list

      * `variant_title`

        string

        Commodity attribute value, multiple divided by " / ", such as: "155 / red / large"

      * `requires_shipping`

        boolean

        Shipping or not

      * `fulfillable_quantity`

        integer

        Available quantity

      * `fulfillment_status`

        string

        The shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;

      * `title`

        string

        Product title

      * `variant_id`

        string

        Product SKU serial number

      * `taxable`

        boolean

        Tax or not？

      * `name`

        string

        SKU title, same as title

      * `price`

        string

        Commodity price, precision 2

      * `quantity`

        integer

        Quantity of items in the order

      * `attribute`

        string

        Product attributes : name-attribute value multiple comma " , " division like : color-red , size-x

      * `vendor`

        string

        Supplier

      * `sku`

        string

        Product code, barCode

      * `grams`

        double

        Weight ( grams )

      * `product_id`

        string

        SPU serial number

      * `fulfillment_service`

        string

        Logistics company name

      * `id`

        string

        The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number

      * `tax_lines`

        array<object>

        Tax information

    * `shipment_status`

      string

      Package tracking

    * `tracking_company`

      string

      Logistics company name

    * `id`

      string

      Package number

    * `name`

      string

      invoice short number

    * `tracking_number`

      string

      Third party tracking number

    * `tracking_url`

      string

      Logistics company URL

    * `status`

      string

      Logistics delivery status, success-shipped; cancelled-cancelled;

    * `updated_at`

      string

      Update time (see IOS8601 for the format)

    * `order_id`

      string

      Order number

    * `created_at`

      string

      Creation time (see IOS8601 for the format)

  * `refunds`

    array<object>

    Refund list

    * `created_at`

      string

      Refund form creation time (see IOS8601 for the format)

    * `id`

      string

      Refund ID

    * `note`

      string

      Refund Notes

    * `order_id`

      string

      Order number

    * `processed_at`

      string

      Update time (see IOS8601 for the format)

    * `refund_line_items`

      array<object>

      Refund Details

      * `id`

        string

        Order number for this adjustment of the single link

      * `quantity`

        integer

        Quantity, quantity of goods

      * `restock_type`

        string

        Inventory return type, no_restock-not returned, cancel-cancelled, return-returned only not returned

      * `subtotal_set`

        object

        Total refund amount, multi-currency information, same on seller and buyer side

      * `line_item`

        object

        Refund Product line

      * `subtotal`

        double

        Total refund amount, precision 2

      * `line_item_id`

        string

        The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number

      * `total_tax_set`

        object

        Total tax amount, multi-currency information

      * `total_tax`

        double

        Tax amount of refunded goods, precision 2

    * `transactions`

      array<object>

      Refund transaction information

      * `amount`

        string

        Refund amount , accuracy 2

      * `order_id`

        string

        Order number

      * `processed_at`

        string

        Refund order update time ( format see IOS8601 )

      * `user_id`

        string

        Buyer ID

      * `currency`

        string

        Currency

      * `id`

        string

        Refund ID

      * `status`

        string

        Handling status, pending, failure, success, and error

      * `created_at`

        string

        Creation time

      * `kind`

        string

        Transaction type (authorization, capture, sale, void, refund)

    * `user_id`

      string

      User ID

  * `total_line_items_price_set`

    object

    Sum of original price of goods, multi-currency information

    * `shop_money`

      object

      Sell side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

    * `presentment_money`

      object

      Buyer side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

  * `processed_at`

    string

    Processed_at time , format : 2023-04-12T22 : 59 : 52+08 : 00

  * `financial_status`

    string

    Payment status , un pad , authorized , pending , partially_paid , pad , partially_refunded , refunded

  * `tax_type`

    string

    Types of tax ID

  * `payment_gateway_names`

    array<string>

    List of payment methods, list of payment methods used for this order, SLpayments, Paypal (PayPal payment), Oceanpay (Oceanpayment), TwoCheckout, AsiaBill, Stripe, Pacypay, WorldPay, COD (cash on delivery), CUSTOM (custom), adjustPay (funding adjustment), Xendit (xendit credit card), XenditOther

  * `name`

    string

    Custom order number

  * `currency`

    string

    Transaction currency

  * `updated_at`

    string

    Order update time, (see IOS8601 for the format)

  * `shipping_lines`

    array<object>

    Logistics information

    * `requested_fulfillment_service_id`

      string

      Transportation service code

    * `shipping_price`

      string

      The value of the original shipping fee (not the amount after the discount)

    * `price`

      string

      Logistics freight, precision 2

    * `source`

      string

      Shipping source

    * `tax_lines`

      array<object>

      Logistics tax list

      * `rate`

        double

        Tax rate

      * `title`

        string

        Tax name

      * `price`

        string

        tax

      * `price_set`

        object

        Multi-currency information of tax

    * `code`

      string

      Logistics number

    * `discount_allocations`

      array<object>

      Discount Details

      * `amount`

        string

        Discount amount, precision 2

      * `amount_set`

        object

        Discount Multi-Currency Amount

      * `discount_application_index`

        integer

        Discount index information : marked in the position of the discount details

    * `price_set`

      object

      Logistics freight multi-resource information

      * `presentment_money`

        object

        Buyer side amount information

      * `shop_money`

        object

        Amount information on the store side

    * `discounted_price`

      string

      Discount amount, precision 2

    * `discounted_price_set`

      object

      Discount Multi-Currency Amount

      * `shop_money`

        object

        Amount information on the store side

      * `presentment_money`

        object

        Buyer side amount information

    * `title`

      string

      Logistics name

    * `phone`

      string

      Phone

  * `current_subtotal_price_set`

    object

    Multi-currency information of the current commodity sum, the buyer's and seller's currency and the amount are the same

    * `shop_money`

      object

      Sell side amount

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency code

    * `presentment_money`

      object

      Buy side currency

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

  * `presentment_currency`

    string

    Buy side currency, same as sell side currency

  * `taxes_included`

    boolean

    Does the total include tax?

  * `checkout_token`

    string

    Settlement page token

  * `fulfillment_status`

    string

    Shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped; Note: the returned enum value is different from the query enumeration value of the input parameter

  * `current_total_discounts`

    string

    Sum of discounts, precision 2, marketing offers + artificial discounts

  * `tags`

    string

    order label

  * `cart_token`

    string

    Shopping cart token

  * `customer_locale`

    string

    Buyer country, language code + country name abbreviation

  * `payment_details`

    array<object>

    Payment slip information

    * `status_msg`

      string

      Payment order status code description

    * `create_time`

      string

      Payment slip creation time

    * `order_seq`

      string

      Order number

    * `pay_channel_deal_id`

      string

      External channel payment serial number

    * `processed_at`

      string

      Payment creation time , format : 2023-04-12T22 : 59 : 52+08 : 00

    * `status_code`

      string

      payment status code

    * `pay_amount`

      double

      Payment amount

    * `pay_status`

      string

      Payment slip status , unpaid- not paid ; pending- paying ; risking- wind control ; paid-paid ; paid_overtime- payment failed ; paid_failed- payment failure ;

    * `pay_seq`

      string

      Payment slip number

  * `current_total_tax_set`

    object

    Multi-currency information of the sum of taxes, the currency and amount of buyers and sellers are the same

    * `shop_money`

      object

      Sell side currency

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

    * `presentment_money`

      object

      Buy side currency

      * `currency_code`

        string

        Currency

      * `amount`

        string

        Amount

  * `total_discounts_set`

    object

    Multi-currency information of discount total

    * `presentment_money`

      object

      Buyer side amount information

      * `currency_code`

        string

        Currency

      * `amount`

        string

        Amount, Precision 2

    * `shop_money`

      object

      Sell side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

  * `billing_address`

    object

    billing address

    * `city`

      string

      Billing consignee city ( up to 64 characters )

    * `phone`

      string

      Bill consignee name mobile phone number

    * `province`

      string

      Billing consignee name province

    * `first_name`

      string

      Billing consignee name

    * `country`

      string

      Billing consignee country ( up to 64 characters )

    * `country_code`

      string

      Billing consignee national encoding

    * `name`

      string

      Billing name

    * `last_name`

      string

      Bill consignee last name

    * `address2`

      string

      Bill consignee additional to detailed address ( up to 255 characters )

    * `province_code`

      string

      Billing consignee name province encoding

    * `address1`

      string

      Billing consignee detailed address ( up to 255 characters )

    * `company`

      string

      Company name

    * `zip`

      string

      Billing consignee name zip

  * `store_id`

    string

    store ID

  * `created_at`

    string

    Order creation time (see IOS8601 for the format)

  * `discount_codes`

    array<object>

    Promo code information

    * `type`

      string

      Type of discount, reduced amount; discount; free shipping; fixed price; the lowest price item is free; package price; the Nth item is discounted;

    * `amount`

      string

      Discount amount, precision 2

    * `code`

      string

      Promo code

  * `checkout_id`

    string

    Discard id

  * `deduct_member_point_amount`

    string

    Current order member point deduction amount

  * `browser_ip`

    string

    Client IP

  * `current_total_tax`

    string

    Total tax, product tax + shipping tax

  * `tax_lines`

    array<object>

    Tax information

    * `price`

      string

      Tax amount

    * `price_set`

      object

      Multi-currency information of tax

      * `presentment_money`

        object

        Buyer side amount information

      * `shop_money`

        object

        Sell side amount information

    * `rate`

      double

      Tax rate

    * `title`

      string

      Tax name

  * `customer`

    object

    Buyer information

    * `phone`

      string

      User mobile phone number

    * `updated_at`

      string

      Buyer update time

    * `email`

      string

      User mailbox

    * `last_name`

      string

      Last name

    * `addresses`

      object

      Buyer address information

      * `city`

        string

        City

      * `province_code`

        string

        Province code

      * `address1`

        string

        Detailed address 1

      * `last_name`

        string

        First name

      * `country_code`

        string

        Country code

      * `name`

        string

        Full name

      * `country`

        string

        Country

      * `first_name`

        string

        Last name

      * `province`

        string

        Province

      * `address2`

        string

        Detailed address 2, optional

      * `phone`

        string

        Phone

      * `zip`

        string

        Postal code

    * `created_at`

      string

      Buyer creation time (see IOS8601 for the format)

    * `currency`

      string

      Currency

    * `first_name`

      string

      First name

    * `id`

      string

      User ID

    * `area_code`

      string

      Phone area code

  * `total_discounts`

    string

    Total discount, marketing discount + artificial discount

  * `total_tax_set`

    object

    Tax summation, multi-currency information

    * `presentment_money`

      object

      Buyer side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

    * `shop_money`

      object

      Sell side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

  * `id`

    string

    Order number , system customization number

  * `phone`

    string

    Buyer contact information, there must be one of the two

  * `cancel_reason`

    string

    Seller's reason for cancellation

  * `user_id`

    string

    Buyer ID

* `user_errors`

  array<object>

  Error prompt information in this execution , if the implementation result is wrong , this field will return error information

  * `code`

    string

    Wrong code

  * `field`

    array<string>

    Path that causes incorrect input fields

  * `message`

    string

    Error message


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Opens a closed order.",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "Pdv8xZOJ",
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "description": "Order number",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "id",
        "description": "Order number",
        "type": "string",
        "example": "21050342939778451436179579"
      },
      "example": "21050342939778451436179579"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "order": {
                "name": "order",
                "description": "For order information, field descriptions and examples, please refer to the response result of the order list",
                "type": "object",
                "properties": {
                  "line_items": {
                    "name": "line_items",
                    "description": "Order product snapshot information",
                    "type": "array",
                    "items": {
                      "name": "line_items",
                      "description": "Order product snapshot information",
                      "type": "object",
                      "properties": {
                        "quantity": {
                          "name": "quantity",
                          "description": "Quantity of items in the order",
                          "type": "integer",
                          "example": 2
                        },
                        "location_id": {
                          "name": "location_id",
                          "description": "The location corresponding to the store in the pos scene",
                          "type": "string",
                          "example": "5327026538935748524"
                        },
                        "fulfillment_status": {
                          "name": "fulfillment_status",
                          "description": "The shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;",
                          "type": "string",
                          "example": "fulfilled"
                        },
                        "taxable": {
                          "name": "taxable",
                          "description": "Tax or not？",
                          "type": "boolean",
                          "example": true
                        },
                        "price": {
                          "name": "price",
                          "description": "Commodity price, precision 2",
                          "type": "string",
                          "example": "3.25"
                        },
                        "discount_allocations": {
                          "name": "discount_allocations",
                          "description": "Marketing discount detail amount multi-currency",
                          "type": "array",
                          "items": {
                            "name": "discount_allocations",
                            "description": "Marketing discount detail amount multi-currency",
                            "type": "object",
                            "properties": {
                              "amount_set": {
                                "name": "amount_set",
                                "description": "Discount Details Amount Multi-Currency",
                                "type": "object",
                                "properties": {
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "Store currency",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "Amount, Precision 2",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "Currency",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": "8.00",
                                      "currency_code": "USD"
                                    }
                                  },
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "payment currency",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "Amount, Precision 2",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "Currency",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": "8.00",
                                      "currency_code": "USD"
                                    }
                                  }
                                },
                                "example": {
                                  "presentment_money": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  },
                                  "shop_money": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                }
                              },
                              "discount_application_index": {
                                "name": "discount_application_index",
                                "description": "Indicate the location in the discount details",
                                "type": "integer",
                                "example": 1
                              },
                              "amount": {
                                "name": "amount",
                                "description": "Discount detail amount",
                                "type": "string",
                                "example": "8.00"
                              }
                            },
                            "example": {
                              "amount": "8.00",
                              "amount_set": {
                                "shop_money": {
                                  "currency_code": "USD",
                                  "amount": "8.00"
                                },
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              },
                              "discount_application_index": 1
                            }
                          },
                          "example": [
                            {
                              "amount_set": {
                                "presentment_money": {
                                  "currency_code": "USD",
                                  "amount": "8.00"
                                },
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              },
                              "discount_application_index": 1,
                              "amount": "8.00"
                            }
                          ]
                        },
                        "variant_title": {
                          "name": "variant_title",
                          "description": "Commodity attribute value, multiple divided by \" / \", such as: \"155 / red / large\"",
                          "type": "string",
                          "example": "big"
                        },
                        "product_id": {
                          "name": "product_id",
                          "description": "SPU serial number",
                          "type": "string",
                          "example": "16056761559984840457934011"
                        },
                        "fulfillable_quantity": {
                          "name": "fulfillable_quantity",
                          "description": "Available quantity",
                          "type": "integer",
                          "example": 1
                        },
                        "properties": {
                          "name": "properties",
                          "description": "Product customization information",
                          "type": "array",
                          "items": {
                            "name": "properties",
                            "description": "Product customization information",
                            "type": "object",
                            "properties": {
                              "name": {
                                "name": "name",
                                "description": "Custom attribute name",
                                "type": "string",
                                "example": "Attribute name"
                              },
                              "type": {
                                "name": "type",
                                "description": "Attribute type, text-character, the display format is name: value; picture-picture, the display type is name: get the rendered thumbnail through URLs; link-hyperlink, the display type is name: value, supports clicking on the link to jump to urls First",
                                "type": "string",
                                "example": "text"
                              },
                              "urls": {
                                "name": "urls",
                                "description": "URL resource list",
                                "type": "array",
                                "items": {
                                  "name": "urls",
                                  "description": "URL resource list",
                                  "type": "string",
                                  "example": "https://www.url.com"
                                },
                                "example": [
                                  "https://www.url.com"
                                ]
                              },
                              "value": {
                                "name": "value",
                                "description": "Custom attribute values",
                                "type": "string",
                                "example": "Attribute value"
                              },
                              "additional": {
                                "name": "additional",
                                "description": "Additional Fields for Custom Items",
                                "type": "string",
                                "example": "Additional field"
                              }
                            },
                            "example": {
                              "additional": "Additional field",
                              "name": "Attribute name",
                              "type": "text",
                              "urls": [
                                "https://www.url.com"
                              ],
                              "value": "Attribute value"
                            }
                          },
                          "example": [
                            {
                              "name": "Attribute name",
                              "type": "text",
                              "urls": [
                                "https://www.url.com"
                              ],
                              "value": "Attribute value",
                              "additional": "Additional field"
                            }
                          ]
                        },
                        "tax_lines": {
                          "name": "tax_lines",
                          "description": "Tax information",
                          "type": "array",
                          "items": {
                            "name": "tax_lines",
                            "description": "Tax information",
                            "type": "object",
                            "properties": {
                              "title": {
                                "name": "title",
                                "description": "Tax name",
                                "type": "string",
                                "example": "tax"
                              },
                              "type": {
                                "name": "type",
                                "description": "Tax fee type, used to distinguish whether it is commodity tax or freight tax, the enumerated values ​​are as follows product_tax: commodity tax shipping_tax: freight tax",
                                "type": "string",
                                "example": "shipping_tax"
                              },
                              "price": {
                                "name": "price",
                                "description": "Tax, precision 2",
                                "type": "string",
                                "example": "3.25"
                              },
                              "price_set": {
                                "name": "price_set",
                                "description": "Multi-currency information of tax",
                                "type": "object",
                                "properties": {
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "Buy side currency",
                                    "type": "object",
                                    "properties": {
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "Currency",
                                        "type": "string",
                                        "example": "USD"
                                      },
                                      "amount": {
                                        "name": "amount",
                                        "description": "Amount",
                                        "type": "string",
                                        "example": "3.25"
                                      }
                                    },
                                    "example": {
                                      "currency_code": "USD",
                                      "amount": "3.25"
                                    }
                                  },
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "Sell side currency",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "Amount",
                                        "type": "string",
                                        "example": "3.25"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "Currency",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": "3.25",
                                      "currency_code": "USD"
                                    }
                                  }
                                },
                                "example": {
                                  "shop_money": {
                                    "currency_code": "USD",
                                    "amount": "3.25"
                                  },
                                  "presentment_money": {
                                    "currency_code": "USD",
                                    "amount": "3.25"
                                  }
                                }
                              },
                              "rate": {
                                "name": "rate",
                                "description": "Tax rate",
                                "type": "double",
                                "example": 1
                              }
                            },
                            "example": {
                              "title": "tax",
                              "type": "shipping_tax",
                              "price": "3.25",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "3.25",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "currency_code": "USD",
                                  "amount": "3.25"
                                }
                              },
                              "rate": 1
                            }
                          },
                          "example": [
                            {
                              "price_set": {
                                "shop_money": {
                                  "amount": "3.25",
                                  "currency_code": "USD"
                                },
                                "presentment_money": {
                                  "amount": "3.25",
                                  "currency_code": "USD"
                                }
                              },
                              "rate": 1,
                              "title": "tax",
                              "type": "shipping_tax",
                              "price": "3.25"
                            }
                          ]
                        },
                        "fulfillment_service": {
                          "name": "fulfillment_service",
                          "description": "Logistics company name",
                          "type": "string",
                          "example": "Sf"
                        },
                        "requires_shipping": {
                          "name": "requires_shipping",
                          "description": "Shipping or not",
                          "type": "boolean",
                          "example": true
                        },
                        "grams": {
                          "name": "grams",
                          "description": "Weight ( grams )",
                          "type": "double",
                          "example": 100
                        },
                        "sku": {
                          "name": "sku",
                          "description": "Product code, barCode",
                          "type": "string",
                          "example": "18056761559987524812644011"
                        },
                        "tags": {
                          "name": "tags",
                          "description": "Commodity tags (separated by multiple commas)",
                          "type": "string",
                          "example": "Tag 1 , cute"
                        },
                        "vendor": {
                          "name": "vendor",
                          "description": "Supplier",
                          "type": "string",
                          "example": "Supplier"
                        },
                        "title": {
                          "name": "title",
                          "description": "Product title",
                          "type": "string",
                          "example": "Nice looking skirt"
                        },
                        "attribute": {
                          "name": "attribute",
                          "description": "Product attributes : name-attribute value multiple comma \" , \" division like : color-red , size-x",
                          "type": "string",
                          "example": "red"
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "Product SKU serial number",
                          "type": "string",
                          "example": "18056761559987524812644011"
                        },
                        "id": {
                          "name": "id",
                          "description": "The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number",
                          "type": "string",
                          "example": "417"
                        },
                        "name": {
                          "name": "name",
                          "description": "SKU title, same as title",
                          "type": "string",
                          "example": "Product title"
                        }
                      },
                      "example": {
                        "discount_allocations": [
                          {
                            "amount": "8.00",
                            "amount_set": {
                              "shop_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              },
                              "presentment_money": {
                                "currency_code": "USD",
                                "amount": "8.00"
                              }
                            },
                            "discount_application_index": 1
                          }
                        ],
                        "grams": 100,
                        "vendor": "Supplier",
                        "fulfillment_service": "Sf",
                        "taxable": true,
                        "variant_id": "18056761559987524812644011",
                        "id": "417",
                        "tags": "Tag 1 , cute",
                        "tax_lines": [
                          {
                            "price": "3.25",
                            "price_set": {
                              "presentment_money": {
                                "amount": "3.25",
                                "currency_code": "USD"
                              },
                              "shop_money": {
                                "amount": "3.25",
                                "currency_code": "USD"
                              }
                            },
                            "rate": 1,
                            "title": "tax",
                            "type": "shipping_tax"
                          }
                        ],
                        "quantity": 2,
                        "sku": "18056761559987524812644011",
                        "variant_title": "big",
                        "location_id": "5327026538935748524",
                        "requires_shipping": true,
                        "name": "Product title",
                        "title": "Nice looking skirt",
                        "product_id": "16056761559984840457934011",
                        "properties": [
                          {
                            "value": "Attribute value",
                            "additional": "Additional field",
                            "name": "Attribute name",
                            "type": "text",
                            "urls": [
                              "https://www.url.com"
                            ]
                          }
                        ],
                        "price": "3.25",
                        "attribute": "red",
                        "fulfillable_quantity": 1,
                        "fulfillment_status": "fulfilled"
                      }
                    },
                    "example": [
                      {
                        "title": "Nice looking skirt",
                        "product_id": "16056761559984840457934011",
                        "variant_title": "big",
                        "requires_shipping": true,
                        "taxable": true,
                        "properties": [
                          {
                            "name": "Attribute name",
                            "type": "text",
                            "urls": [
                              "https://www.url.com"
                            ],
                            "value": "Attribute value",
                            "additional": "Additional field"
                          }
                        ],
                        "fulfillment_status": "fulfilled",
                        "vendor": "Supplier",
                        "fulfillment_service": "Sf",
                        "id": "417",
                        "attribute": "red",
                        "sku": "18056761559987524812644011",
                        "quantity": 2,
                        "tax_lines": [
                          {
                            "price_set": {
                              "shop_money": {
                                "amount": "3.25",
                                "currency_code": "USD"
                              },
                              "presentment_money": {
                                "currency_code": "USD",
                                "amount": "3.25"
                              }
                            },
                            "rate": 1,
                            "title": "tax",
                            "type": "shipping_tax",
                            "price": "3.25"
                          }
                        ],
                        "fulfillable_quantity": 1,
                        "price": "3.25",
                        "variant_id": "18056761559987524812644011",
                        "tags": "Tag 1 , cute",
                        "discount_allocations": [
                          {
                            "discount_application_index": 1,
                            "amount": "8.00",
                            "amount_set": {
                              "presentment_money": {
                                "currency_code": "USD",
                                "amount": "8.00"
                              },
                              "shop_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            }
                          }
                        ],
                        "location_id": "5327026538935748524",
                        "grams": 100,
                        "name": "Product title"
                      }
                    ]
                  },
                  "total_weight": {
                    "name": "total_weight",
                    "description": "Total product weight ( g )",
                    "type": "double",
                    "example": 100
                  },
                  "client_details": {
                    "name": "client_details",
                    "description": "Client Details",
                    "type": "object",
                    "properties": {
                      "user_agent": {
                        "name": "user_agent",
                        "description": "Client Proxy",
                        "type": "string",
                        "example": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Sa"
                      },
                      "browser_ip": {
                        "name": "browser_ip",
                        "description": "Client ip address",
                        "type": "string",
                        "example": "157.119.232.35"
                      },
                      "session_hash": {
                        "name": "session_hash",
                        "description": "Member session encryption information",
                        "type": "string",
                        "example": "c2c4a58186b9d96395d7e6b5c2969577"
                      }
                    },
                    "example": {
                      "browser_ip": "157.119.232.35",
                      "session_hash": "c2c4a58186b9d96395d7e6b5c2969577",
                      "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Sa"
                    }
                  },
                  "cancelled_at": {
                    "name": "cancelled_at",
                    "description": "Order cancellation time (end) (see IOS8601 for the format), 2012-05-01T14:22:25-04:00",
                    "type": "string",
                    "example": "2012-05-01T14:22:25-04:00"
                  },
                  "current_total_price": {
                    "name": "current_total_price",
                    "description": "Total tax, product tax + shipping tax",
                    "type": "string",
                    "example": "8.00"
                  },
                  "app_id": {
                    "name": "app_id",
                    "description": "App ID",
                    "type": "string",
                    "example": "222222"
                  },
                  "order_status_url": {
                    "name": "order_status_url",
                    "description": "Order status page URL",
                    "type": "string",
                    "example": "https://shoptest.myshoplinestg.com/trade/thank_you?mainOrderMark=xxx&mainOrderSeq=200565776406008509"
                  },
                  "discount_applications": {
                    "name": "discount_applications",
                    "description": "Discount information",
                    "type": "array",
                    "items": {
                      "name": "discount_applications",
                      "description": "Discount information",
                      "type": "object",
                      "properties": {
                        "allocation_method": {
                          "name": "allocation_method",
                          "description": "1 ) across ( the value is distributed in all authorized lines ) 2 ) the ach ( the value is applied to each authorized line )",
                          "type": "string",
                          "example": "across"
                        },
                        "value": {
                          "name": "value",
                          "description": "The specific value of the discount ( it can be n-fold , or it can be the specific amount value )",
                          "type": "string",
                          "example": "20"
                        },
                        "code": {
                          "name": "code",
                          "description": "Discount code",
                          "type": "string",
                          "example": "1Q3UMQM8RBP5"
                        },
                        "title": {
                          "name": "title",
                          "description": "automatic discount title",
                          "type": "string",
                          "example": "Discount title"
                        },
                        "type": {
                          "name": "type",
                          "description": "Discount type",
                          "type": "string",
                          "example": "manual"
                        },
                        "description": {
                          "name": "description",
                          "description": "Description of custom discount",
                          "type": "string",
                          "example": "Discount description"
                        },
                        "target_type": {
                          "name": "target_type",
                          "description": "1）line_item、shipping_line",
                          "type": "string",
                          "example": "line_item"
                        },
                        "target_selection": {
                          "name": "target_selection",
                          "description": "1 ) explicit ( discount distribution to clear selection ) 2 ) all ( discount distribution to all lines ) 3 ) ENTITLED ( discount distribution only to the line that its right to use )",
                          "type": "string",
                          "example": "explicit"
                        },
                        "value_type": {
                          "name": "value_type",
                          "description": "% discount , amount discount",
                          "type": "string",
                          "example": "fixed_amount"
                        }
                      },
                      "example": {
                        "title": "Discount title",
                        "code": "1Q3UMQM8RBP5",
                        "target_selection": "explicit",
                        "target_type": "line_item",
                        "value_type": "fixed_amount",
                        "allocation_method": "across",
                        "description": "Discount description",
                        "value": "20",
                        "type": "manual"
                      }
                    },
                    "example": [
                      {
                        "target_selection": "explicit",
                        "target_type": "line_item",
                        "allocation_method": "across",
                        "type": "manual",
                        "value": "20",
                        "value_type": "fixed_amount",
                        "code": "1Q3UMQM8RBP5",
                        "title": "Discount title",
                        "description": "Discount description"
                      }
                    ]
                  },
                  "shipping_address": {
                    "name": "shipping_address",
                    "description": "Shipping address",
                    "type": "object",
                    "properties": {
                      "address2": {
                        "name": "address2",
                        "description": "Detailed address 2, optional",
                        "type": "string",
                        "example": "Address 2"
                      },
                      "name": {
                        "name": "name",
                        "description": "Full name",
                        "type": "string",
                        "example": "Tom Washington"
                      },
                      "country_code": {
                        "name": "country_code",
                        "description": "Country code",
                        "type": "string",
                        "example": "US"
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "First name",
                        "type": "string",
                        "example": "Washington"
                      },
                      "phone": {
                        "name": "phone",
                        "description": "Phone",
                        "type": "string",
                        "example": "1320987655"
                      },
                      "province": {
                        "name": "province",
                        "description": "Province",
                        "type": "string",
                        "example": "California"
                      },
                      "address1": {
                        "name": "address1",
                        "description": "Address 1",
                        "type": "string",
                        "example": "Address 1"
                      },
                      "company": {
                        "name": "company",
                        "description": "Company name",
                        "type": "string",
                        "example": "New company name"
                      },
                      "latitude": {
                        "name": "latitude",
                        "description": "Latitude",
                        "type": "string",
                        "example": "15"
                      },
                      "zip": {
                        "name": "zip",
                        "description": "Postal code",
                        "type": "string",
                        "example": "92503"
                      },
                      "country": {
                        "name": "country",
                        "description": "Country",
                        "type": "string",
                        "example": "Usa"
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "Last name",
                        "type": "string",
                        "example": "Tom"
                      },
                      "city": {
                        "name": "city",
                        "description": "City",
                        "type": "string",
                        "example": "New York"
                      },
                      "longitude": {
                        "name": "longitude",
                        "description": "Longitude",
                        "type": "string",
                        "example": "41"
                      },
                      "province_code": {
                        "name": "province_code",
                        "description": "Province code",
                        "type": "string",
                        "example": "4200006"
                      }
                    },
                    "example": {
                      "name": "Tom Washington",
                      "company": "New company name",
                      "city": "New York",
                      "latitude": "15",
                      "phone": "1320987655",
                      "address2": "Address 2",
                      "address1": "Address 1",
                      "province": "California",
                      "first_name": "Tom",
                      "longitude": "41",
                      "country": "Usa",
                      "zip": "92503",
                      "province_code": "4200006",
                      "country_code": "US",
                      "last_name": "Washington"
                    }
                  },
                  "tax_number": {
                    "name": "tax_number",
                    "description": "TIN",
                    "type": "string",
                    "example": "111111"
                  },
                  "total_tax": {
                    "name": "total_tax",
                    "description": "Sum of taxes, precision 2, commodity tax + shipping tax",
                    "type": "string",
                    "example": "8.00"
                  },
                  "note_attributes": {
                    "name": "note_attributes",
                    "description": "Merchant note log, date content",
                    "type": "array",
                    "items": {
                      "name": "note_attributes",
                      "description": "Merchant note log, date content",
                      "type": "object",
                      "properties": {
                        "create_time": {
                          "name": "create_time",
                          "description": "Remark creation time (see IOS8601 for the format)",
                          "type": "string",
                          "example": "2012-05-01T14:22:25-04:00"
                        },
                        "name": {
                          "name": "name",
                          "description": "Remark source (seller ID)",
                          "type": "string",
                          "example": "Notes source"
                        },
                        "value": {
                          "name": "value",
                          "description": "Notes",
                          "type": "string",
                          "example": "Notes"
                        }
                      },
                      "example": {
                        "value": "Notes",
                        "create_time": "2012-05-01T14:22:25-04:00",
                        "name": "Notes source"
                      }
                    },
                    "example": [
                      {
                        "name": "Notes source",
                        "value": "Notes",
                        "create_time": "2012-05-01T14:22:25-04:00"
                      }
                    ]
                  },
                  "current_subtotal_price": {
                    "name": "current_subtotal_price",
                    "description": "Sum of current products, total price of products * quantity",
                    "type": "string",
                    "example": "78.08"
                  },
                  "total_line_items_price": {
                    "name": "total_line_items_price",
                    "description": "Sum of original prices of goods, precision 2",
                    "type": "string",
                    "example": "8.00"
                  },
                  "total_shipping_price_set": {
                    "name": "total_shipping_price_set",
                    "description": "Order shipping sum, multi-currency information",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buyer side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount, Precision 2",
                            "type": "string",
                            "example": "8.00"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "currency_code": "USD",
                          "amount": "8.00"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount, Precision 2",
                            "type": "string",
                            "example": "8.00"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "currency_code": "USD",
                          "amount": "8.00"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "currency_code": "USD",
                        "amount": "8.00"
                      },
                      "shop_money": {
                        "currency_code": "USD",
                        "amount": "8.00"
                      }
                    }
                  },
                  "subtotal_price_set": {
                    "name": "subtotal_price_set",
                    "description": "Multi-currency information of total product price after discount",
                    "type": "object",
                    "properties": {
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount, Precision 2",
                            "type": "string",
                            "example": "3.25"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "currency_code": "USD",
                          "amount": "3.25"
                        }
                      },
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buyer side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount, Precision 2",
                            "type": "string",
                            "example": "3.25"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "3.25",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "shop_money": {
                        "currency_code": "USD",
                        "amount": "3.25"
                      },
                      "presentment_money": {
                        "currency_code": "USD",
                        "amount": "3.25"
                      }
                    }
                  },
                  "note": {
                    "name": "note",
                    "description": "Merchant notes",
                    "type": "string",
                    "example": "Notes"
                  },
                  "subtotal_price": {
                    "name": "subtotal_price",
                    "description": "Total product price after discount, total product price - marketing discount - artificial discount",
                    "type": "string",
                    "example": "3.25"
                  },
                  "current_total_price_set": {
                    "name": "current_total_price_set",
                    "description": "Multi-currency information of the sum of taxes, the currency and amount of buyers and sellers are the same",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buy side currency",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "8.00"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "currency_code": "USD",
                          "amount": "8.00"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side currency",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "8.00"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "shop_money": {
                        "amount": "8.00",
                        "currency_code": "USD"
                      },
                      "presentment_money": {
                        "amount": "8.00",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "processed_user_id": {
                    "name": "processed_user_id",
                    "description": "order creator",
                    "type": "string",
                    "example": "4201057495"
                  },
                  "total_tip_received": {
                    "name": "total_tip_received",
                    "description": "Tip, precision 2",
                    "type": "string",
                    "example": "8.00"
                  },
                  "current_total_discounts_set": {
                    "name": "current_total_discounts_set",
                    "description": "Multi-currency information of the total discount, there is no multi-currency, so the buyer’s and seller’s currency and amount are the same; { currentTotalDiscountsSet \"shopMoney\": { \"amount\": \"100\", \"currency_code\": \"CNY\" }, \"presentmentMoney\": { \"amount\": \"100\", \"currency_code\": \"CNY\" } }",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Currency information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "3.25"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency information",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "3.25",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "3.25"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "3.25",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "3.25",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "3.25",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "total_outstanding": {
                    "name": "total_outstanding",
                    "description": "Sum of unpaid amount, precision 2",
                    "type": "string",
                    "example": "8.00"
                  },
                  "email": {
                    "name": "email",
                    "description": "Buyer's mailbox, there must be one of the two",
                    "type": "string",
                    "example": "test1002@Gmail.com"
                  },
                  "fulfillments": {
                    "name": "fulfillments",
                    "description": "Package information",
                    "type": "array",
                    "items": {
                      "name": "fulfillments",
                      "description": "Package information",
                      "type": "object",
                      "properties": {
                        "line_items": {
                          "name": "line_items",
                          "description": "Product list",
                          "type": "array",
                          "items": {
                            "name": "line_items",
                            "description": "Product list",
                            "type": "object",
                            "properties": {
                              "variant_title": {
                                "name": "variant_title",
                                "description": "Commodity attribute value, multiple divided by \" / \", such as: \"155 / red / large\"",
                                "type": "string",
                                "example": "big"
                              },
                              "requires_shipping": {
                                "name": "requires_shipping",
                                "description": "Shipping or not",
                                "type": "boolean",
                                "example": false
                              },
                              "fulfillable_quantity": {
                                "name": "fulfillable_quantity",
                                "description": "Available quantity",
                                "type": "integer",
                                "example": 1
                              },
                              "fulfillment_status": {
                                "name": "fulfillment_status",
                                "description": "The shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;",
                                "type": "string",
                                "example": "fulfilled"
                              },
                              "title": {
                                "name": "title",
                                "description": "Product title",
                                "type": "string",
                                "example": "Beautiful skirt"
                              },
                              "variant_id": {
                                "name": "variant_id",
                                "description": "Product SKU serial number",
                                "type": "string",
                                "example": "18056761559987524812644011"
                              },
                              "taxable": {
                                "name": "taxable",
                                "description": "Tax or not？",
                                "type": "boolean",
                                "example": true
                              },
                              "name": {
                                "name": "name",
                                "description": "SKU title, same as title",
                                "type": "string",
                                "example": "Product name"
                              },
                              "price": {
                                "name": "price",
                                "description": "Commodity price, precision 2",
                                "type": "string",
                                "example": "23.09"
                              },
                              "quantity": {
                                "name": "quantity",
                                "description": "Quantity of items in the order",
                                "type": "integer",
                                "example": 1
                              },
                              "attribute": {
                                "name": "attribute",
                                "description": "Product attributes : name-attribute value multiple comma \" , \" division like : color-red , size-x",
                                "type": "string",
                                "example": "red"
                              },
                              "vendor": {
                                "name": "vendor",
                                "description": "Supplier",
                                "type": "string",
                                "example": "Supplier"
                              },
                              "sku": {
                                "name": "sku",
                                "description": "Product code, barCode",
                                "type": "string",
                                "example": "18056761559987524812644011"
                              },
                              "grams": {
                                "name": "grams",
                                "description": "Weight ( grams )",
                                "type": "double",
                                "example": 100
                              },
                              "product_id": {
                                "name": "product_id",
                                "description": "SPU serial number",
                                "type": "string",
                                "example": "16056761559984840457934011"
                              },
                              "fulfillment_service": {
                                "name": "fulfillment_service",
                                "description": "Logistics company name",
                                "type": "string",
                                "example": "Sf"
                              },
                              "id": {
                                "name": "id",
                                "description": "The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number",
                                "type": "string",
                                "example": "312"
                              },
                              "tax_lines": {
                                "name": "tax_lines",
                                "description": "Tax information",
                                "type": "array",
                                "items": {
                                  "name": "tax_lines",
                                  "description": "Tax information",
                                  "type": "object",
                                  "properties": {
                                    "title": {
                                      "name": "title",
                                      "description": "Tax name",
                                      "type": "string",
                                      "example": "tax"
                                    },
                                    "price": {
                                      "name": "price",
                                      "description": "Tax, precision 2",
                                      "type": "string",
                                      "example": "3.25"
                                    },
                                    "price_set": {
                                      "name": "price_set",
                                      "description": "Multi-currency information of tax",
                                      "type": "object",
                                      "properties": {
                                        "presentment_money": {
                                          "name": "presentment_money",
                                          "description": "Currency information",
                                          "type": "object",
                                          "properties": {
                                            "amount": {
                                              "name": "amount",
                                              "description": "Amount",
                                              "type": "string",
                                              "example": "3.25"
                                            },
                                            "currency_code": {
                                              "name": "currency_code",
                                              "description": "Currency",
                                              "type": "string",
                                              "example": "USD"
                                            }
                                          },
                                          "example": {
                                            "amount": "3.25",
                                            "currency_code": "USD"
                                          }
                                        },
                                        "shop_money": {
                                          "name": "shop_money",
                                          "description": "Sell side amount information",
                                          "type": "object",
                                          "properties": {
                                            "amount": {
                                              "name": "amount",
                                              "description": "Amount",
                                              "type": "string",
                                              "example": "3.25"
                                            },
                                            "currency_code": {
                                              "name": "currency_code",
                                              "description": "Currency",
                                              "type": "string",
                                              "example": "USD"
                                            }
                                          },
                                          "example": {
                                            "amount": "3.25",
                                            "currency_code": "USD"
                                          }
                                        }
                                      },
                                      "example": {
                                        "presentment_money": {
                                          "amount": "3.25",
                                          "currency_code": "USD"
                                        },
                                        "shop_money": {
                                          "amount": "3.25",
                                          "currency_code": "USD"
                                        }
                                      }
                                    },
                                    "rate": {
                                      "name": "rate",
                                      "description": "Tax rate",
                                      "type": "double",
                                      "example": 1
                                    }
                                  },
                                  "example": {
                                    "price": "3.25",
                                    "price_set": {
                                      "presentment_money": {
                                        "currency_code": "USD",
                                        "amount": "3.25"
                                      },
                                      "shop_money": {
                                        "amount": "3.25",
                                        "currency_code": "USD"
                                      }
                                    },
                                    "rate": 1,
                                    "title": "tax"
                                  }
                                },
                                "example": [
                                  {
                                    "price_set": {
                                      "presentment_money": {
                                        "amount": "3.25",
                                        "currency_code": "USD"
                                      },
                                      "shop_money": {
                                        "amount": "3.25",
                                        "currency_code": "USD"
                                      }
                                    },
                                    "rate": 1,
                                    "title": "tax",
                                    "price": "3.25"
                                  }
                                ]
                              }
                            },
                            "example": {
                              "quantity": 1,
                              "requires_shipping": false,
                              "tax_lines": [
                                {
                                  "price_set": {
                                    "presentment_money": {
                                      "amount": "3.25",
                                      "currency_code": "USD"
                                    },
                                    "shop_money": {
                                      "currency_code": "USD",
                                      "amount": "3.25"
                                    }
                                  },
                                  "rate": 1,
                                  "title": "tax",
                                  "price": "3.25"
                                }
                              ],
                              "fulfillable_quantity": 1,
                              "fulfillment_status": "fulfilled",
                              "taxable": true,
                              "variant_id": "18056761559987524812644011",
                              "price": "23.09",
                              "variant_title": "big",
                              "product_id": "16056761559984840457934011",
                              "vendor": "Supplier",
                              "grams": 100,
                              "id": "312",
[...]
